Subject: bug#42482: 27.0.91; emacs modules memory leak

From: Philipp Stephani <[email-masked]>
Date: Sat, 1 Aug 2020 14:11:54 +0200

Am Sa., 25. Juli 2020 um 23:43 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
> Am Do., 23. Juli 2020 um 19:45 Uhr schrieb Eli Zaretskii <[email-masked]>:
> >
> > > From: Philipp Stephani <[email-masked]>
> > > Date: Thu, 23 Jul 2020 16:33:12 +0200
> > > Cc: [email-masked]
> > >
> > > Am Do., 23. Juli 2020 um 16:29 Uhr schrieb Milan Stanojević
> > > <[email-masked]>:
> > > >
> > > > Thank you for the quick fix.
> > > > Is there a chance this also goes to emacs-27 branch so it can be in
> > > > the emacs 27.1 when it gets released?
> > >
> > > I think backporting the fix should be fine, as the fix is rather
> > > localized and fixes a regression. Eli?
> >
> > How well was it tested?  The change is not exactly trivial.  But if
> > you are satisfied with the testing enough to have this in emacs-27,
> > I'm okay with that.
>
> I'd like to have a few more test cases around global references in
> emacs-27, as the current test cases only test some simple/success
> cases, and we'd probably want to test at least a few more edge cases
> (e.g. freeing global references in a different order than allocating
> them). I've added two more test cases on master and will see that I
> can add a few more in the coming days.

I've now added a few more tests and backported the fix to the release branch.